extends Scene


func _ready() -> void:
	super._ready()
	var def = ItemDefinition.new()
	def.id = "splash"
	def.name = "Splash"
	def.combination_category = "potion"
	InventoryManager.register_item(def)
	give_item("splash")


func _on_meadow_interacted() -> void:
	$kq4_002_meadow.default_script(self)


func _on_ogre_house_interacted() -> void:
	$kq4_004_ogres_cottage.default_script(self)


func _on_shady_wooded_area_interacted() -> void:
	$kq4_009_shady_wooded_area.default_script(self)


func _on_forest_path_27_interacted() -> void:
	$kq4_027_forest_path.default_script(self)


func _on_pool_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The beautiful pool is lined with tall marble columns. Its crystal clear water looks very inviting.")
	).build(self, "_on_script_complete"))


func _on_columns_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The marble columns flank the lovely pool.")
	).build(self, "_on_script_complete"))


func _on_stairs_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("There are steps at the north end of the pool.")
	).build(self, "_on_script_complete"))


func _on_ground_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see nothing of importance on the ground.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The beautiful pool, with its elegant marble columns, has a wonderful setting in these woods. The water looks so cool and inviting; you're almost tempted to jump in.")
	).build(self, "_on_script_complete"))
